# configuration.properties
# NOTE: property values can contain other properties' values via expression ${<property-name>}

# default(s)
default.timezone=UTC
default.charset=UTF-8
default.bind_port=7777
default.heartbeat=10000
#default.debug=true
default.home_folder=${__undefined__}
default.environment=dev


# big decimal
big_decimal.scale=20
big_decimal.tolerance=1e-6

# gson
gson.html_escaping=false
gson.pretty_printing=false


# HTTP
#http.proxy.host=127.0.0.1
#http.proxy.port=8080
#http.user_agent=Mozilla/4.0 (compatible; goal-identifier/1.0.0; Linux version 3.10.0-693.17.1.el7.x86_64)
#http.ssl_config_prefix=https
#http.config.keep_alive=true
#http.connect_timeout=6s
#http.socket_timeout=6s
#http.max_redirects=3


# HTTPS
#https.key_store.type=PKCS12
#https.key_store.self_signed=true
#https.key_store.file=/etc/pki/ca-trust/source/anchors/muletstkeystore.ks
#https.key_store.alias=muletstcert
#https.key_store.password=test1234
#https.key.password=
#https.verify_hostnames=false


# AWS
#aws.region=eu-west-1
#aws.credentials=/home/orchestrator/sophia/webapp/AwsCredentials.properties


# S3
s3.retry.list_objects=2
s3.retry.get_object=2
s3.retry.put_object=2
s3.retry.delete_object=2
s3.retry.download_to_file=2


# SQS
sqs.endpoint=https://sqs.eu-west-1.amazonaws.com
sqs.max_number_of_messages=1
sqs.visibility_timeout=900


# log4j2
#log4j.configuration=src/main/resources/log4j2.xml
#log4j.configuration=${default.home_folder}/log4j2.xml


# number speller
number_speller.regex=\\b[0-9]{1,10}
number_speller.languages=it-IT,en-US
number_speller.letter_case=lower
number_speller.transformer=regex-fix-spelling.csv


# code normalizer
iswc_normalizer.class_name=com.alkemytech.sophia.commons.text.RegExTextNormalizer
iswc_normalizer.letter_case=upper
iswc_normalizer.transformer=regex-az09.csv

# isrc normalizer
isrc_normalizer.class_name=com.alkemytech.sophia.commons.text.RegExTextNormalizer
isrc_normalizer.letter_case=upper
isrc_normalizer.transformer=regex-az09.csv

# title normalizer
title_normalizer.class_name=com.alkemytech.sophia.commons.text.RegExTextNormalizer
title_normalizer.letter_case=lower
#title_normalizer.transformer=regex-normalizer.csv
title_normalizer.transformer=regex-normalizer.csv,regex-blacklist-title.csv

# artist normalizer
artist_normalizer.class_name=com.alkemytech.sophia.commons.text.RegExTextNormalizer
artist_normalizer.letter_case=lower
#artist_normalizer.transformer=regex-normalizer.csv
artist_normalizer.transformer=regex-normalizer.csv,regex-blacklist-artist.csv


# title tokenizer
title_tokenizer.class_name=com.alkemytech.sophia.commons.text.RegExTextTokenizer
#title_tokenizer.letter_case=lower
title_tokenizer.transformer=regex-fix-title.csv,regex-az09sp.csv
title_tokenizer.split_regex=\\s

# artist tokenizer
artist_tokenizer.class_name=com.alkemytech.sophia.commons.text.RegExTextTokenizer
#artist_tokenizer.letter_case=lower
artist_tokenizer.transformer=regex-fix-artist.csv,regex-az09sp.csv
artist_tokenizer.split_regex=\\s


# exact query
exact_query.class_name=com.alkemytech.sophia.commons.query.ExactTitleArtistQuery
exact_query.max_terms=4
exact_query.min_terms=3

# fuzzy query
fuzzy_query.class_name=com.alkemytech.sophia.commons.query.FuzzyTitleArtistQuery
fuzzy_query.max_terms=4
fuzzy_query.min_terms=3
fuzzy_query.fuzzy_costs=6,12,18


# MCMDB dev
MCMDB_dev.class_name=com.alkemytech.sophia.commons.jdbc.DBCP2DataSource
# data source
data_source.jdbc.driver_class=com.mysql.jdbc.Driver
data_source.jdbc.url=jdbc:mysql://localhost:3306/database_name?verifyServerCertificate=false&useSSL=true
data_source.jdbc.user=user
data_source.jdbc.password=password
data_source.dbcp.initial_size=0
data_source.dbcp.max_total=8
data_source.dbcp.max_idle=8
data_source.dbcp.min_idle=0
data_source.dbcp.max_wait_millis=-1

